### org.jfree.layouting.layouter.style.resolver

# Class ResolveHandlerModule

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.ResolveHandlerModule`

`public final class ResolveHandlerModule`
`extends java.lang.Object`

Creation-Date: 14.12.2005, 12:06:22

Author:
  Thomas Morgner

  ## Constructor Summary

  `ResolveHandlerModule(StyleKey key, ResolveHandler autoValueHandler, ResolveHandler computedValueHandler, ResolveHandler percentagesValueHandler)`

  ## Method Summary

  `ResolveHandler`

  `getAutoValueHandler()`

  `ResolveHandler`

  `getComputedValueHandler()`

  `StyleKey[]`

  `getDependentKeys()`

  `StyleKey`

  `getKey()`

  `ResolveHandler`

  `getPercentagesValueHandler()`

  `int`

  `getWeight()`

  `void`

  `setWeight(int weight)`

## Constructor Details

### ResolveHandlerModule

    public ResolveHandlerModule(StyleKey key,
                                ResolveHandler autoValueHandler,
                                ResolveHandler computedValueHandler,
                                ResolveHandler percentagesValueHandler)

## Method Details

### getAutoValueHandler

    public ResolveHandler getAutoValueHandler()

### getComputedValueHandler

    public ResolveHandler getComputedValueHandler()

### getDependentKeys

    public StyleKey[] getDependentKeys()

### getKey

    public StyleKey getKey()

### getPercentagesValueHandler

    public ResolveHandler getPercentagesValueHandler()

### getWeight

    public int getWeight()

### setWeight

    public void setWeight(int weight)